QJournalProtocolProtos.GetJournalCTimeRequestProtoOrBuilder (Apache Hadoop HDFS 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.qjournal.protocol, class: QJournalProtocolProtos, interface: GetJournalCTimeRequestProtoOrBuilder

Package org.apache.hadoop.hdfs.qjournal.protocol

# Interface QJournalProtocolProtos.GetJournalCTimeRequestProtoOrBuilder

All Superinterfaces:
  `org.apache.hadoop.thirdparty.protobuf.MessageLiteOrBuilder`, `org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `QJournalProtocolProtos.GetJournalCTimeRequestProto`, `QJournalProtocolProtos.GetJournalCTimeRequestProto.Builder`

Enclosing class:
  QJournalProtocolProtos

public static interface QJournalProtocolProtos.GetJournalCTimeRequestProtoOrBuilder extends org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder

- ## Method Summary

  Modifier and Type
  Method
  Description
  `QJournalProtocolProtos.JournalIdProto`
  `getJid()`
  `required .hadoop.hdfs.qjournal.JournalIdProto jid = 1;`
  `QJournalProtocolProtos.JournalIdProtoOrBuilder`
  `getJidOrBuilder()`
  `required .hadoop.hdfs.qjournal.JournalIdProto jid = 1;`
  `String`
  `getNameServiceId()`
  `optional string nameServiceId = 2;`
  `org.apache.hadoop.thirdparty.protobuf.ByteString`
  `getNameServiceIdBytes()`
  `optional string nameServiceId = 2;`
  `boolean`
  `hasJid()`
  `required .hadoop.hdfs.qjournal.JournalIdProto jid = 1;`
  `boolean`
  `hasNameServiceId()`
  `optional string nameServiceId = 2;`

  ### Methods inherited from interface org.apache.hadoop.thirdparty.protobuf.MessageLiteOrBuilder

  `isInitialized`

  ### Methods inherited from interface org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder

  `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- ## Method Details

  - ### hasJid

    boolean hasJid()
    `required .hadoop.hdfs.qjournal.JournalIdProto jid = 1;`
    Returns:
      Whether the jid field is set.

  - ### getJid

    QJournalProtocolProtos.JournalIdProto getJid()
    `required .hadoop.hdfs.qjournal.JournalIdProto jid = 1;`
    Returns:
      The jid.

  - ### getJidOrBuilder

    QJournalProtocolProtos.JournalIdProtoOrBuilder getJidOrBuilder()
    `required .hadoop.hdfs.qjournal.JournalIdProto jid = 1;`

  - ### hasNameServiceId

    boolean hasNameServiceId()
    `optional string nameServiceId = 2;`
    Returns:
      Whether the nameServiceId field is set.

  - ### getNameServiceId

    String getNameServiceId()
    `optional string nameServiceId = 2;`
    Returns:
      The nameServiceId.

  - ### getNameServiceIdBytes

    org.apache.hadoop.thirdparty.protobuf.ByteString getNameServiceIdBytes()
    `optional string nameServiceId = 2;`
    Returns:
      The bytes for nameServiceId.